<?php
session_start();

$usuario = $_SESSION['usuario'];

require_once '../gerador/MysqlConsulta.php';
require_once 'conexao.php';

$mysql = new MysqlConsulta;

$enviar = $_POST['enviar'];

$tipoestoque = $_POST['tipoandamento'];


if ($_POST['botao'] == 'primeiro') {
    // Ação para o primeiro botão

//se for pendente trocar para andamento
if($tipoestoque == 'pendente'){
    
foreach ($enviar as $dados){
    
   // $mysql->AtualizarStatus($conexao,$dados,'emandamento');
   
   //quantidade pendente
   $quantidadePendente = $mysql->procurarItemRetornarQuantidade($conexao,$dados);

   //quantidade pendente
   $quantidadeAndamento = $mysql->procurarItemRetornarQuantidadeAndamento($conexao,$dados);

   $novaQuantidadeAndamento =  $quantidadePendente[1] + $quantidadeAndamento[0];
   $mysql->AtualizarAndamento($conexao,$dados,$novaQuantidadeAndamento);
}

}

if ($tipoestoque == 'emandamento'){

    foreach ($enviar as $dados){

    //$mysql->AtualizarStatus($conexao,$dados,'concluido');

    $quantidadeAndamento = $mysql->procurarItemRetornarQuantidadeAndamento($conexao,$dados);
    $mysql->AtualizarAndamentoConcluido($conexao,$dados,$quantidadeAndamento[0]);
}
}

//$_SESSION['msg'] = "<div class='alert alert-success'>Enviado para lista de adamento</div>";
header("Location: ../avaria.php");

}elseif ($_POST['botao'] == 'segundo') {

$tipoestoque = $_POST['tipoandamento'];
$loja = $_POST['loja'];
$fabricante = $_POST['fabricante'];

$dadosImprimir = $_POST['enviar'];

$queryString = http_build_query(['enviar' => $dadosImprimir]); 

//require_once '../gerador/exportar_avarias_novo.php';

//exportarAvaria($tipoestoque,'SANTA CLARA',$loja);
//header("Location: ../gerador/exportar_avarias_novo.php?tipoestoque=$tipoestoque&loja=$loja&fabricante=$fabricante&enviar=$queryString");


// Nome do arquivo onde os dados serão gravados
unlink("../gerador/arquivos/usuario$usuario/imprimirtemp.txt");

$arquivo = "../gerador/arquivos/usuario$usuario/imprimirtemp.txt";

// Inicia uma string vazia para armazenar os dados
$conteudo = "";

// Itera sobre o array e acumula os dados na variável $conteudo
foreach ($dadosImprimir as $dados) {
    $conteudo .= $dados . "\n"; // Adiciona uma quebra de linha
}

//Grava o conteúdo no arquivo
file_put_contents($arquivo, $conteudo);
header("Location: ../gerador/exportar_avarias_novo.php?tipoestoque=$tipoestoque&loja=$loja&fabricante=$fabricante");
}